slurm-wlm (23.11.4-1.2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:45:33 +1100

slurm-wlm (23.11.4-1.2ubuntu4) noble; urgency=medium

  * Remove debian/plugin_packages*filelist, which are also generated files
    and cause a misbuild on !amd64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 05:30:27 +0000

slurm-wlm (23.11.4-1.2ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:02:59 +0000

slurm-wlm (23.11.4-1.2ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:39:46 +0000

slurm-wlm (23.11.4-1.2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Mar 2024 09:26:57 +0100

slurm-wlm (23.11.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous files from debian that are not handled by the package
    clean target, and caused build failures on !amd64.  Closes: #1065225.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 20:11:29 +0000

slurm-wlm (23.11.4-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for libtirpc t64.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 05:38:10 +0100

slurm-wlm (23.11.4-1.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:12:54 +0100

slurm-wlm (23.11.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062903

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:19:10 +0000

slurm-wlm (23.11.4-1) unstable; urgency=medium

  * New upstream release
  * Remove debian sackd man page
  * Remove fix-typos patch

 -- Gennaro Oliva <oliva@debian.org>  Sun, 25 Feb 2024 22:26:05 +0100

slurm-wlm (23.11.3-2ubuntu2) noble; urgency=medium

  * Rebuild against new libjwt2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 11:11:10 +0100

slurm-wlm (23.11.3-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Feb 2024 21:53:20 +0100

slurm-wlm (23.11.3-2) unstable; urgency=medium

  * Team upload
  * Source-only reupload for testing migration.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Feb 2024 21:45:47 +0100

slurm-wlm (23.11.3-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Feb 2024 09:26:39 +0100

slurm-wlm (23.11.3-1) unstable; urgency=medium

  * New upstream major release (Closes: #1058720)
  * Update service files
  * Update copyright file
  * Refresh patches
  * Bump libslurm to soname 40
  * Create sackd package

 -- Gennaro Oliva <oliva@debian.org>  Thu, 08 Feb 2024 18:32:27 +0100

slurm-wlm (23.02.6-1ubuntu2) noble; urgency=medium

  * Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 09:33:55 +0200

slurm-wlm (23.02.6-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:57:02 +0200

slurm-wlm (23.02.6-1) unstable; urgency=medium

  * New upstream release fixes CVE-2023-41914

 -- Gennaro Oliva <oliva@debian.org>  Thu, 12 Oct 2023 18:45:16 +0200

slurm-wlm (23.02.5-1) unstable; urgency=medium

  [ Gennaro Oliva ]
  * New upstream release
  * Refresh patches

  [ Tobias Pape ]
  * Add pam-configs for the pam packages

 -- Gennaro Oliva <oliva@debian.org>  Sun, 01 Oct 2023 23:41:22 +0200

slurm-wlm (23.02.3-2ubuntu1) mantic; urgency=medium

  * d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 18 Jul 2023 08:34:09 -0700

slurm-wlm (23.02.3-2) unstable; urgency=medium

  * Fix d/not-installed (Closes: #1040129)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 02 Jul 2023 22:55:27 +0200

slurm-wlm (23.02.3-1) unstable; urgency=medium

  * New upstream major release (Closes: #1036109)
  * Remove default cgroup basedir patch now handled upstream
  * Refresh patches
  * Bump libslurm to soname 39
  * Update configurators
  * Update d/copyright
  * Clean lintian warning for plugins packages
  * Add libpam dev packages
  * Add scrun and scrontab commands
  * Add configuration manpages
  * Update fix-spelling-error patch
  * Bump debhelper compatibility level to 13
  * Add kafka plugin
  * Add debug packages for emulators

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 25 Jun 2023 17:56:03 +0200

slurm-wlm (22.05.8-4) unstable; urgency=medium

  * Fix Breaks/Replaces dependencies (Closes: #1034950,
    #1034955, #1034978, #1034987, #1034992)
  * Restore plugstack.conf (Closes: #1035562)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 10 May 2023 00:14:41 +0200

slurm-wlm (22.05.8-3) unstable; urgency=medium

  * Source only upload for testing

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 08 Feb 2023 07:50:18 +0100

slurm-wlm (22.05.8-2) unstable; urgency=medium

  * Fix pmix package for non amd64 architectures
  * Add rsmi plugin
  * Force nvml configuration

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 05 Feb 2023 11:12:16 +0100

slurm-wlm (22.05.8-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete lsb-base dependency
  * Use generic libncurses-dev dependency
  * Restore pmix support

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 31 Jan 2023 22:12:49 +0100

slurm-wlm (22.05.7-2) unstable; urgency=medium

  * Source only upload for testing

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 25 Jan 2023 22:30:47 +0100

slurm-wlm (22.05.7-1) experimental; urgency=medium

  [ Gennaro Oliva ]
  * New upstream major release
  * Bump standard version to 4.6.1 (no changes)
  * Remove hdf5 v18 api patch fixed upstream
  * Refresh patches
  * Update configurators
  * Update d/copyright
  * Add libdbus-1-dev dep for cgroup v2 plugin
  * Bump libslurm to soname 38
  * Create MySQL plugin packages
  * Create free plugin metapackage
  * Bump standard version to 4.6.2 (no changes)
  * Add patch to set the default cgroup basedir

  [ Tobias Pape ]
  * Create ipmi plugin packages
  * Create hdf5 plugin packages
  * Create influxdb plugin packages
  * Create rrd plugin packages
  * Create elasticsearch plugin packages
  * Create jwt plugin packages

  [ Tim Wickberg ]
  * Update slurm description

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 12 Jan 2023 01:20:28 +0100

slurm-wlm (21.08.8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * tests: increase number of attempts in sbatch (Closes: #1014506)

 -- Paul Gevers <elbrus@debian.org>  Thu, 10 Nov 2022 13:28:47 +0100

slurm-wlm (21.08.8.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2022-29500,
    CVE-2022-29501 and CVE-2022-29502
    (Closes: #1010632, #1010633, #1010634)
  * Update libslurm symbols file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 06 May 2022 21:14:09 +0200

slurm-wlm (21.08.7-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 21 Apr 2022 21:51:00 +0200

slurm-wlm (21.08.6-1) unstable; urgency=medium

  * New upstream release
  * Remove fix-typos patch included upstream

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 22 Mar 2022 21:59:40 +0100

slurm-wlm (21.08.5-2) unstable; urgency=medium

  * Add slurm_version.h to libslurm-dev (Closes: #1004409)
  * Add retry-getaddrinfo patch (Closes: #984928)
  * Update service files

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 28 Jan 2022 23:36:39 +0100

slurm-wlm (21.08.5-1) unstable; urgency=medium

  * New upstream major release
  * Refresh patches and drop changes included upstream
  * Bump libslurm to soname 37
  * Update d/copyright
  * Remove man3 section dropped upstream
  * Remove pmix support
  * Remove defaults and old parameters in tests configuration files
  * Explicitly use the 1.8 HDF5 API
  * Update configurators
  * Update simple and cgroup example
  * Add slurm.conf with cgroup example
  * Change AccountingStoreJobComment into AccountingStoreFlags in
    slurm-wlm-basic-plugins postinst
  * Add example files to slurmctld, slurmd, slurm-client and slurmdbd
  * Add bash completion
  * Bump standard version to 4.6.0 (no changes)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 13 Jan 2022 16:30:47 +0100

slurm-wlm (20.11.8-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 23 Aug 2021 15:53:23 +0200

slurm-wlm (20.11.7-1) unstable; urgency=medium

  * New upstream release fixes CVE-2021-31215 (Closes: #988439)
  * Add typo patch for acct_gather.conf man page
  * Update miscellanea manpage patch

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 15 Jun 2021 17:49:41 +0200

slurm-wlm (20.11.5-1) unstable; urgency=medium

  * New upstream release
  * Update libslurm36 symbols file
  * Refresh mail-path patch
  * Add more calls to sleep trying to fix #985725

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 05 Apr 2021 01:18:48 +0200

slurm-wlm (20.11.4-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 19 Feb 2021 11:13:22 +0100

slurm-wlm (20.11.3-3) unstable; urgency=medium

  * Pass SUCMD and SLEEP_CMD to configure (Closes: #977319)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 17 Feb 2021 21:24:19 +0100

slurm-wlm (20.11.3-2) unstable; urgency=medium

  * Source only upload for migration to testing
  * Modify slurmrestd EnvironmentFile location
  * Add lintian overrides for slurmrestd

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 28 Jan 2021 03:05:28 +0100

slurm-wlm (20.11.3-1) unstable; urgency=medium

  * New upstream release
  * Remove typos patches
  * Refresh patches
  * Bump libslurm to soname 36
  * Remove unused overrides
  * Update d/copyright
  * Fix typos
  * Add patch to compile against pmix v4
  * Fix sacct test failure
  * Add slurmrestd package
  * Update configurators
  * Fix packages descriptions

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 24 Jan 2021 18:29:47 +0100

slurm-wlm (20.02.6-2) unstable; urgency=medium

  * Fix pmix support (Closes: #954272)
  * Fix srun autopkgtest
  * Tweak slurm.conf for autopkgtest
  * Add mpi autopkgtest
  * Bump standard version to 4.5.1 (no changes)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 02 Dec 2020 01:13:08 +0100

slurm-wlm (20.02.6-1) unstable; urgency=medium

  * New upstream release (Closes: #974721, #974722)
  * Refresh miscellanea-manpages and mail-path patches
  * Remove use-python3 patch included upstream
  * Remove smap command
  * Remove cray.conf.5 man page
  * Bump libslurm to soname 35
  * Update configurators
  * Fix the slurmdbd example file (Closes: #949734)
  * Remove llnl from the source package name and from the
    configuration, lib and log directory names
  * Remove PM Green patch: bug fixed upstream
  * Update d/copyright
  * Update libslurm35.symbols

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 17 Nov 2020 00:11:42 +0100

slurm-llnl (19.05.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add __attribute__((__common__)) to some "tentative import"
    declarations in src/plugins/select/cons_tres/job_test.c
  * Move definiton of "opt" from scanel.h to scanel.c

 -- Peter Michael Green <plugwash@debian.org>  Sat, 22 Aug 2020 22:59:50 +0000

slurm-llnl (19.05.5-2) unstable; urgency=medium

  * Declare libslurm-dev Breaks+Replaces relation with the old
    libslurmdb-dev package (Closes: #949249)
  * Bump standard version to 4.5.0 (no changes)
  * Move slurm-client-emulator, slurm-wlm and spank man pages to
    section 7

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 24 Mar 2020 10:58:42 +0100

slurm-llnl (19.05.5-1) unstable; urgency=medium

  * New upstream release

  [ Martijn Kruiten ]
  * Include slurmdb.h in libslurm-dev (Closes: #944606)
  * Remove conflicting docs from the slurmd and slurmctld packages
    (Closes: #942453)
  * Credit to Martijn for libpam-slurm-adopt in release 19.05.3.2-1.
    Sorry for not mentioning it before and thank you very much for your
    contribution!

  [ Gennaro Oliva ]
  * Remove useless libglade2 build dep (better later than never)
  * Remove libssh2 build dep
  * Remove crypto/openssl related stuff
  * Use python3 to generate html doc (Closes: #938499)
  * Update libslurm symbols file
  * Add support for pmix (Closes: #948008)

  [ Christian Ehrhardt ] 
  * Improve sacct test

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 16 Jan 2020 22:46:11 +0100

slurm-llnl (19.05.3.2-2) unstable; urgency=medium

  * Enable deprecated configure option on 32bit archs

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 15 Oct 2019 09:31:57 +0200

slurm-llnl (19.05.3.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2019-12838 (Closes: #931880)
  * Remove libslurmdb packages as it was merged into libslurm
  * Bump standard version to 4.4.1 (no changes)
  * Update d/copyright
  * Sync configurators with upstream
  * Refresh patches
  * Increase libslurm version to 34
  * Update libslurm symbols file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 08 Oct 2019 18:18:52 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpam-slurm-adopt-dev`.
